Difference between pages "Template:ArticleFooter" and "Package:Sublime Text Editor"

(Difference between pages)
 
 
Line 1: Line 1:
{{#vardefine:Summary|{{#show:{{FULLPAGENAME}}|?Summary}}}}
+
{{Ebuild
{{#vardefine:Author|{{#show:{{FULLPAGENAME}}|?Author}}}}
+
|Summary=Sublime Text is an advanced commercial text editor.
{{#vardefine:Icon|{{#show:{{FULLPAGENAME}}|?Icon}}}}
+
|CatPkg=app-editors/sublime-text
{{#var:Author}}
+
|Maintainer=Oleg,
{{#widget:NewsInfo|body={{#var:Summary|}}|user={{#var:Author|}}|icon_url={{#if:{{#var:Icon|}}|{{filepath:{{#sub:{{#var:Icon}}|5}}|80}}|http://www.gravatar.com/avatar/{{#show: {{FULLPAGENAME}} | ?Gravatar MD5}}/?s=80&d=retro&r=g}}}}
+
|Homepage=http://sublimetext.com
{{#show: {{#var:Author}} | ?Bio }}
+
}}
{{#var:Author}}
+
Sublime Text is a very complete text editor with lots of features, and support for plugins. It's free, but often shows a popup showing that's unregistered, so you can purchase the license for USD$70.
 +
 
 +
== Install ==
 +
First, you must have installed [[Package:Layman|Layman]] with Git support. Then, add the overlay ''sublime-text'':
 +
 
 +
<console>###i## layman -a sublime-text</console>
 +
 
 +
Now, install the version you want. For the version 2:
 +
<console>###i## emerge -av sublime-text:2</console>
 +
 
 +
For the version 3 (default):
 +
<console>###i## emerge -av sublime-text:3</console>
 +
 
 +
You can have installed both versions, so you must install it with the USE flag ''multislot'', that also brings the package eselect-sublime.
 +
{{EbuildFooter}}

Latest revision as of 04:52, January 3, 2015

app-editors/sublime-text


Current Maintainer(s):Oleg Vinichenko
Source Repository:Repository:Funtoo Overlay

http://sublimetext.com

Summary: Sublime Text is an advanced commercial text editor.


News

Drobbins

Perl Updates

Gentoo has bumped perl from 5.20 to 5.22. Be sure to run perl-cleaner --all after the upgrade.
2015-07-25 by Drobbins
Drobbins

ARM Rebuild

ARM systems will use new stage3's that are not compatible with earlier versions.
2015-06-27 by Drobbins
Drobbins

ABI X86 64 and 32

Funtoo Linux has new 32-bit compatibility libraries inherited from Gentoo. Learn about them here.
2015-06-18 by Drobbins
More...

Sublime Text Editor

Tip

We welcome improvements to this page. To edit this page, Create a Funtoo account. Then log in and then click here to edit this page. See our editing guidelines to becoming a wiki-editing pro.

Sublime Text is a very complete text editor with lots of features, and support for plugins. It's free, but often shows a popup showing that's unregistered, so you can purchase the license for USD$70.

Install

First, you must have installed Layman with Git support. Then, add the overlay sublime-text:

# layman -a sublime-text

Now, install the version you want. For the version 2:

# emerge -av sublime-text:2

For the version 3 (default):

# emerge -av sublime-text:3

You can have installed both versions, so you must install it with the USE flag multislot, that also brings the package eselect-sublime.